Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 552408 (CVE-2015-2325)

Summary: <dev-lang/php-{5.5.26,5.6.10}: Multiple vulnerabilities (CVE-2015-{2325,2326,3414,3415,3416,4642,4643,4644})
Product: Gentoo Security Reporter: Tobias Heinlein (RETIRED) <keytoaster>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: major CC: php-bugs
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard: A3 [glsa cve]
Package list:
Runtime testing required: ---

Description Tobias Heinlein (RETIRED) gentoo-dev 2015-06-17 19:45:30 UTC
See:

* http://php.net/ChangeLog-5.php#5.5.26
* http://php.net/ChangeLog-5.php#5.6.10


It seems some of these issues were alreay handled in bug 549538. PHP team, are we affected by the rest? Do we have to stabilize the new versions? If yes, can we go ahead with that?
Comment 1 Ole Markus With (RETIRED) gentoo-dev 2015-07-09 07:16:03 UTC
Sorry for the delay here. These packags can be stabilised
Comment 2 Kristian Fiskerstrand gentoo-dev Security 2015-07-09 07:28:07 UTC
Arches, please stabilize:
=dev-lang/php-5.5.26
Stable targets: alpha amd64 arm hppa ia64 ppc ppc64 sparc x86

=dev-lang/php-5.6.10
Stable targets: alpha amd64 arm hppa ppc ppc64 x86
Comment 3 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2015-07-09 18:05:21 UTC
amd64 stable
Comment 4 Jeroen Roovers gentoo-dev 2015-07-11 06:38:12 UTC
Stable for HPPA PPC64.
Comment 5 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2015-07-12 07:33:35 UTC
x86 stable
Comment 6 Tobias Klausmann gentoo-dev 2015-07-14 18:14:54 UTC
Both stable on alpha.
Comment 7 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2015-07-15 16:59:43 UTC
arm stable
Comment 8 Agostino Sarubbo gentoo-dev 2015-07-23 09:04:04 UTC
ppc stable
Comment 9 Agostino Sarubbo gentoo-dev 2015-07-23 09:38:40 UTC
sparc stable
Comment 10 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2015-07-24 12:22:07 UTC
ia64 stable
Comment 11 Yury German Gentoo Infrastructure gentoo-dev Security 2015-09-09 04:48:40 UTC
Maintainer(s), Thank you for you for cleanup.

Added to an existing GLSA Request.
Comment 12 GLSAMaker/CVETool Bot gentoo-dev 2016-06-19 00:27:03 UTC
This issue was resolved and addressed in
 GLSA 201606-10 at https://security.gentoo.org/glsa/201606-10
by GLSA coordinator Kristian Fiskerstrand (K_F).